org.apache.cayenne.merge

## Class AbstractToModelToken

- java.lang.Object
- - org.apache.cayenne.merge.AbstractToModelToken

- All Implemented Interfaces:
    MergerToken
  Direct Known Subclasses:
    AddColumnToModel, AddRelationshipToModel, CreateTableToModel, DropColumnToModel, DropRelationshipToModel, DropTableToModel, SetAllowNullToModel, SetColumnTypeToModel, SetNotNullToModel, SetPrimaryKeyToModel

      public abstract class AbstractToModelToken
      extends Object
      implements MergerToken

  Common abstract superclass for all `MergerToken`s going from the database to the model.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractToModelToken()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MergeDirection` | `getDirection()` The direction of this token.
    `protected Collection<ObjEntity>` | `objEntitiesMappedToDbEntity(DbEntity entity)`
    `protected void` | `remove(MergerContext mergerContext, DbRelationship rel, boolean reverse)`
    `protected void` | `remove(MergerContext mergerContext, ObjRelationship rel, boolean reverse)`
    `protected void` | `synchronizeWithObjEntity(MergerContext mergerContext, DbEntity entity)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cayenne.merge.MergerToken

      `createReverse, execute, getTokenName, getTokenValue`

- - ### Constructor Detail

    - #### AbstractToModelToken

          public AbstractToModelToken()

  - ### Method Detail

    - #### getDirection

          public final MergeDirection getDirection()

      Description copied from interface: `MergerToken`
      The direction of this token. One of `MergeDirection.TO_DB` or `MergeDirection.TO_MODEL`
      Specified by:
        `getDirection` in interface `MergerToken`

    - #### synchronizeWithObjEntity

          protected void synchronizeWithObjEntity(MergerContext mergerContext,
                                                  DbEntity entity)

    - #### objEntitiesMappedToDbEntity

          protected Collection<ObjEntity> objEntitiesMappedToDbEntity(DbEntity entity)

    - #### remove

          protected void remove(MergerContext mergerContext,
                                DbRelationship rel,
                                boolean reverse)

    - #### remove

          protected void remove(MergerContext mergerContext,
                                ObjRelationship rel,
                                boolean reverse)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.